package com.chenyang.nse.bussiness.entity.orm.table.core.dataproject;

import com.chenyang.nse.bussiness.entity.orm.table.TProEntity;
import com.chenyang.nse.bussiness.entity.orm.table.core.DataareaSecretkeyRelationVo;
import com.chenyang.nse.bussiness.entity.orm.table.core.masking.TCoreDesensitizationRule;
import java.util.List;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

@Entity
@Table(
   name = "t_core_dataarea"
)
public class TCoreDataArea extends TProEntity {
   @Column(
      length = 64
   )
   private String dataarea;
   @Column(
      length = 255
   )
   private String remark;
   @Column(
      length = 8
   )
   private String hasarea;
   @Column(
      length = 8
   )
   private String areatype;
   @Transient
   private List<TCoreDesensitizationRule> ruleList;
   @Transient
   private List<DataareaSecretkeyRelationVo> secretkeyList;

   public List<DataareaSecretkeyRelationVo> getSecretkeyList() {
      return this.secretkeyList;
   }

   public void setSecretkeyList(List<DataareaSecretkeyRelationVo> secretkeyList) {
      this.secretkeyList = secretkeyList;
   }

   public List<TCoreDesensitizationRule> getRuleList() {
      return this.ruleList;
   }

   public void setRuleList(List<TCoreDesensitizationRule> ruleList) {
      this.ruleList = ruleList;
   }

   public String getDataarea() {
      return this.dataarea;
   }

   public void setDataarea(String dataarea) {
      this.dataarea = dataarea;
   }

   public String getHasarea() {
      return this.hasarea;
   }

   public void setHasarea(String hasarea) {
      this.hasarea = hasarea;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getAreatype() {
      return this.areatype;
   }

   public void setAreatype(String areatype) {
      this.areatype = areatype;
   }
}
